Skip to main content

version

Description

Current Gantt package version

The version constant exports the current version of the Gantt package used in your project.

It is primarily intended for use with the export service, allowing you to construct a versioned export endpoint that guarantees compatibility between the client-side Gantt and the server-side export service.

You can import the component from "@svar-ui/vue-gantt":

import { version } from "@svar-ui/vue-gantt";

The version value always matches the installed Gantt package version.

Example

The example below shows how to provide a URL to a ready-to-use export service within the export-data action | PRO feature. Gantt sends its state to that service, which generates and returns the file.

<script setup>
import { Gantt, version } from "@svar/vue-gantt";

const api = ref(null);

function exportToExcel() {
api.value.exec("export-data", {
url:"https://export.svar.dev/gantt/" + version,
format: "xlsx"
});
}
</script>

<template>
<Gantt ref="api" :tasks="tasks" :links="links" />
</template>

Related article: Exporting

version
Description
Current Gantt package versionThe version constant exports the current version of the Gantt package used in your project.
It is primarily intended for use with the export service, allowing you to construct a versioned export endpoint that guarantees compatibility between the client-side Gantt and the server-side export service.
You can import the component from "@svar-ui/react-gantt":
import { version } from "@svar-ui/react-gantt";
The version value always matches the installed Gantt package version.
Example
The example below shows how to provide a URL to a ready-to-use export service within the export-data action | PRO feature. Gantt sends its state to that service, which generates and returns the file.
import { useRef } from "react";
import { Gantt, version } from "@svar/react-gantt";
function ExportExample({ tasks, links }) {
const apiRef = useRef(null);
function exportToExcel() {
apiRef.current.exec("export-data", {
url: "https://export.svar.dev/gantt/" + version,
format: "xlsx"
});
}
return (
<Gantt ref={apiRef} tasks={tasks} links={links} />
);
}
export default ExportExample;
Related article: Exporting